Package be.e_contract.ejsf.validator.password

# Class PassayPasswordValidator

java.lang.Object
be.e_contract.ejsf.validator.password.PassayPasswordValidator

public class PassayPasswordValidator extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_LENGTH`
`static final int`
`MIN_DIGIT`
`static final int`
`MIN_LENGTH`
`static final int`
`MIN_LOWER_CASE`
`static final int`
`MIN_SPECAL`
`static final int`
`MIN_UPPER_CASE`

## Constructor Summary

Constructors
Constructor
Description
`PassayPasswordValidator()`

## Method Summary

Modifier and Type
Method
Description
`static org.passay.RuleResult`
`validate(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MIN_LENGTH

public static final int MIN_LENGTH

See Also:
  - Constant Field Values

### MAX_LENGTH

public static final int MAX_LENGTH

See Also:
  - Constant Field Values

### MIN_LOWER_CASE

public static final int MIN_LOWER_CASE

See Also:
  - Constant Field Values

### MIN_UPPER_CASE

public static final int MIN_UPPER_CASE

See Also:
  - Constant Field Values

### MIN_DIGIT

public static final int MIN_DIGIT

See Also:
  - Constant Field Values

### MIN_SPECAL

public static final int MIN_SPECAL

See Also:
  - Constant Field Values

## Constructor Details

### PassayPasswordValidator

public PassayPasswordValidator()

## Method Details

### validate

public static org.passay.RuleResult validate(String value)